Name:           perl-Mojolicious-Plugin-StaticCompressor
Version:        1.0.0
Release:        1.beta1%{?dist}
Summary:        Automatic JS/CSS minifier & compressor for Mojolicious
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mojolicious-Plugin-StaticCompressor/
Source0:        http://www.cpan.org/authors/id/M/MU/MUGIFLY/Mojolicious-Plugin-StaticCompressor-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(CSS::Minifier)
BuildRequires:  perl(Encode)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(JavaScript::Minifier)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Mojolicious) >= 3.88
BuildRequires:  perl(Mojo::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Perl::Critic)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  perl(version)
Requires:       perl(CSS::Minifier)
Requires:       perl(Encode)
Requires:       perl(File::Slurp)
Requires:       perl(JavaScript::Minifier)
Requires:       perl(Module::Build)
Requires:       perl(Mojolicious) >= 3.88
Requires:       perl(Mojo::Util)
Requires:       perl(Test::More)
Requires:       perl(Test::Perl::Critic)
Requires:       perl(Test::Pod)
Requires:       perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This Mojolicious plugin is minifier and compressor for static JavaScript
file (.js) and CSS file (.css).

%prep
%setup -q -n Mojolicious-Plugin-StaticCompressor-v%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes example LICENSE META.json xt
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 21 2015 Daniel Berteaud <daniel@firewall-services.com> - 1.0.0-1
- First build using cpanspec
